PDA

View Full Version : Basic question - Different clients for enterprise version?



onsite@bs.wa.gov.au
January 3rd, 2008, 09:22 PM
Are there different versions of the Amanda/Zmanda backup client for the community & enterprise server versions?

If so I need to acquire a trial enterprise client version for linux.

I've acquired a trial enterprise server version but can't get it working with the community version client (see below).

Thanks in advance.

Nick

Background:

I've downloaded & successfully installed Zmanda Entrerprise server trial version (2.6.1) on a RHEL5 box. I got the trial version from the Red Hat Exchange.

Now I'm attempting to use it to backup a client machine (running Fedora Core 7).

I've been unable to find if there is an Enterprise client version to go with the Enterprise server.

I cannot find an enterprise client on the Red Hat exchange.

I installed the community client version on the client machine using Yum (it seems to be 2.5.1p3) but have been unable to get it working.

I found an RPM for FC7 (amanda-backup_client-2.5.2p1-1.fc7.i386.rpm). My next step will be to uninstall the client I installed with Yum and then to install this FC7 RPM client.

onsite@bs.wa.gov.au
January 8th, 2008, 07:25 PM
I emailed Zmanda and they replied saying the enterprise community & enterprise client versions are different:

Thanks for your interest in Zmanda products.

Yes, there is a difference between the Community and Enterprise versions of Amanda. For Amanda Enterprise backup server you have to use the Enterprise client to backup your systems. Red Hat Exchange provides currently only the client for RHEL 5. If you need a client for different OS please let us know.
Here is the list of supported OS:
http://www.zmanda.com/supported-platforms.html#AEE

In a couple of days we are releasing Amanda Enterprise 2.6.3 that will provide additional support for Mac OS-X (Power and x86), Fedora Core 7, MS Exchange and MS SQL.

Regards
Dmitri

squadra
April 18th, 2008, 08:43 PM
Recompile the Community Packages with the Ports that the Enterprise Version is using, add BSDTCP Support and youŽll be fine